Package org.jfree.layouting.input.style

## Class CSSPageRule

- java.lang.Object
- - org.jfree.layouting.input.style.StyleRule
  - - org.jfree.layouting.input.style.CSSDeclarationRule
    - - org.jfree.layouting.input.style.CSSPageRule

-     public class CSSPageRule
      extends CSSDeclarationRule

  A page rule contains (among others) page area rules as childs.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSPageRule​(StyleSheet parentStyle, StyleRule parentRule, java.lang.String name, java.lang.String pseudoPage)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRule​(CSSPageAreaRule rule)` |
    `void` | `deleteRule​(int index)` |
    `java.lang.String` | `getName​()` |
    `java.lang.String` | `getPseudoPage​()` |
    `CSSPageAreaRule` | `getRule​(int index)` |
    `int` | `getRuleCount​()` |
    `void` | `insertRule​(int index, CSSPageAreaRule rule)` |

    - ### Methods inherited from class org.jfree.layouting.input.style.CSSDeclarationRule

      `clear, clone, getImportantValues, getPropertyCSSValue, getPropertyKeysAsArray, getStyleValues, isEmpty, isImportant, removeProperty, setImportant, setPropertyValue, setPropertyValue, setPropertyValueAsString, setPropertyValueAsString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

      `getParentRule, getParentStyle, getStyleKeyRegistry, isReadOnly, makeReadOnly, setParentRule, setParentStyle`

- - ### Constructor Detail

    - #### CSSPageRule

          public CSSPageRule​(StyleSheet parentStyle,
                             StyleRule parentRule,
                             java.lang.String name,
                             java.lang.String pseudoPage)

  - ### Method Detail

    - #### addRule

          public void addRule​(CSSPageAreaRule rule)

    - #### insertRule

          public void insertRule​(int index,
                                 CSSPageAreaRule rule)

    - #### deleteRule

          public void deleteRule​(int index)

    - #### getRuleCount

          public int getRuleCount​()

    - #### getRule

          public CSSPageAreaRule getRule​(int index)

    - #### getName

          public java.lang.String getName​()

    - #### getPseudoPage

          public java.lang.String getPseudoPage​()